WorksheetProtection: unprotect
Namespace: microsoft.graph
Unprotect a worksheet
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Files.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
POST /me/drive/items/{id}/workbook/worksheets/{id|name}/protection/unprotect
POST /me/drive/root:/{item-path}:/workbook/worksheets/{id|name}/protection/unprotect
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Workbook-Session-Id | Workbook session Id that determines if changes are persisted or not. Optional. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 200 OK response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
POST https://graph.microsoft.com/v1.0/me/drive/items/{id}/workbook/worksheets/{id|name}/protection/unprotect
Response
The following is an example of the response.
HTTP/1.1 200 OK
Feedback
Submit and view feedback for